LWGraph Class Reference

the main class to read the graphic part of a LightWay Text file More...

`#include <LWGraph.hxx>`

## Public Member Functions

| LWGraph (LWParser &parser)
| constructor More...
virtual | ~LWGraph ()
| destructor More...
int | version () const
| returns the file version More...
int | numPages () const
| returns the number of pages More...

## Protected Member Functions

bool | createZones ()
| finds the different graphic zones More...
void | flushExtra ()
| sends the data which have not yet been sent to the listener More...
bool | sendPageGraphics ()
| try to send the page graphic More...
void | send (int id)
| try to send a graph More...
bool | sendJPEG (MWAWEntry const &entry)
| try to send a JPEG resource More...
bool | sendPICT (MWAWEntry const &entry)
| try to send a PICT resource More...

## Static Protected Member Functions

static bool | findJPEGSize (WPXBinaryData const &data, Vec2i &sz)
| try to find a JPEG size More...

## Protected Attributes

MWAWParserStatePtr | m_parserState
| the parser state More...
shared_ptr < LWGraphInternal::State > | m_state
| the state More...
LWParser * | m_mainParser
| the main parser; More...

## Private Member Functions

| LWGraph (LWGraph const &orig)
LWGraph & | operator= (LWGraph const &orig)

## Friends

class | LWParser

## Detailed Description

the main class to read the graphic part of a LightWay Text file

## Constructor & Destructor Documentation

LWGraph::LWGraph | ( | LWParser & | parser | ) |

constructor

LWGraph::~LWGraph | ( |  | ) |

virtual

destructor

LWGraph::LWGraph | ( | LWGraph const & | orig | ) |

private

## Member Function Documentation

bool LWGraph::createZones | ( |  | ) |

protected

finds the different graphic zones

bool LWGraph::findJPEGSize | ( | WPXBinaryData const & | data,
|  | Vec2i & | sz
| ) |  |

static protected

try to find a JPEG size

Referenced by sendJPEG().

void LWGraph::flushExtra | ( |  | ) |

protected

sends the data which have not yet been sent to the listener

int LWGraph::numPages | ( |  | ) | const

returns the number of pages

LWGraph& LWGraph::operator= | ( | LWGraph const & | orig | ) |

private

void LWGraph::send | ( | int | id | ) |

protected

try to send a graph

bool LWGraph::sendJPEG | ( | MWAWEntry const & | entry | ) |

protected

try to send a JPEG resource

Referenced by flushExtra(), and send().

bool LWGraph::sendPageGraphics | ( |  | ) |

protected

try to send the page graphic

bool LWGraph::sendPICT | ( | MWAWEntry const & | entry | ) |

protected

try to send a PICT resource

Referenced by flushExtra(), and send().

int LWGraph::version | ( |  | ) | const

returns the file version

## Friends And Related Function Documentation

friend class LWParser

friend

## Member Data Documentation

LWParser* LWGraph::m_mainParser

protected

the main parser;

Referenced by createZones(), sendJPEG(), and sendPICT().

MWAWParserStatePtr LWGraph::m_parserState

protected

the parser state

Referenced by sendJPEG(), sendPICT(), and version().

shared_ptr<LWGraphInternal::State> LWGraph::m_state

protected

the state

Referenced by createZones(), flushExtra(), numPages(), and send().

The documentation for this class was generated from the following files:

- LWGraph.hxx
- LWGraph.cxx